## ampache browser-1.0.7

=== CMakeLists.txt ===
# CMakeLists.txt
#
# Project: Ampache Browser
# License: GNU GPLv3
#
# Copyright (C) 2015 - 2023 Róbert Čerňanský



cmake_minimum_required(VERSION 3.13)
project(ampache_browser VERSION 1.0.7)
set(VERSION_EXTRA "")
set(soVersion 0)

include(GNUInstallDirs)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(FindIntl)

# because we want to support Qt <5.15 the versionless targets and functions can not be used; so disable them for all
# Qt versions in order minimize variability of environments and reduce risk of mistakes
set(QT_NO_CREATE_VERSIONLESS_TARGETS ON)
set(QT_NO_CREATE_VERSIONLESS_FUNCTIONS ON)

option(USE_QT6 "Use Qt6 instead of Qt5" ON)

# determine major version of Qt and store it to qt_VERSION_MAJOR variable
if (${USE_QT6})
    find_package(qt NAMES Qt6 REQUIRED COMPONENTS Core)
else()
    find_package(qt NAMES Qt5 REQUIRED COMPONENTS Core)
endif()
message(STATUS "Using Qt major version: " ${qt_VERSION_MAJOR})

find_package(Qt${qt_VERSION_MAJOR} REQUIRED COMPONENTS Core Widgets Concurrent)

set(sources
    src/infrastructure/filesystem.cc
    src/infrastructure/os_paths.cc
    src/infrastructure/string_encoding.cc
    src/infrastructure/event/delegate_void.cc
    src/infrastructure/event/event_void.cc
    src/infrastructure/logging/logging.cc
    src/infrastructure/logging/qt_logger/set_qt_logger_default_message_pattern.cc
    src/infrastructure/logging/qt_logger/qt_logger.cc
    src/domain/album.cc
    src/domain/track.cc
    src/domain/artist.cc
    src/data/data_objects/track_data.cc
    src/data/data_objects/artist_data.cc
    src/data/data_objects/album_data.cc
    src/data/providers/connection_info.cc
    src/data/providers/ampache/ampache_url.cc
    src/data/providers/ampache/scale_album_art_runnable.cc
    src/data/providers/ampache/ampache.cc
    src/data/providers/cache.cc
    src/data/indices.cc
    src/data/filters/artist_filter_for_albums.cc
    src/data/filters/artist_filter_for_tracks.cc
    src/data/filters/album_filter_for_tracks.cc
    src/data/filters/name_filter_for_artists.cc
    src/data/filters/name_filter_for_albums.cc
    src/data/filters/name_filter_for_tracks.cc
    src/data/repositories/track_repository.cc
    src/data/repositories/artist_repository.cc
    src/data/repositories/album_repository.cc
    src/ui/custom_proxy_style.cc
    src/ui/settings_dialog.cc
    src/ui/ampache_browser_main_window.cc
    src/ui/selected_items.cc
    src/ui/ui.cc
    src/application/models/request_group.cc
    src/application/models/request_groups.cc
    src/application/models/requests.cc
    src/application/models/artist_model.cc
    src/application/models/album_model.cc
    src/application/models/track_model.cc
    src/application/data_loader.cc
    src/application/filtering.cc
    src/application/settings_internal.cc
    src/application/ampache_browser_app.cc
    src/application/application.cc
    src/application/application_qt_internal.cc
    src/settings.cc
    src/ampache_browser.cc
    src/application_qt.cc)

# headers with QT meta objects
set(headersWithMo
    include/internal/application/models/artist_model.h
    include/internal/application/models/album_model.h
    include/internal/application/models/track_model.h
    src/data/providers/ampache/scale_album_art_runnable.h
    include/internal/data/providers/ampache.h
    include/internal/data/providers/cache.h
    src/ui/settings_dialog.h
    src/ui/ampache_browser_main_window.h
    include/internal/ui/ui.h)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_CXX_VISIBILITY_PRESET hidden)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)
set(CMAKE_CXX_STANDARD 17)

option(USE_NLS "Build with native language support." ON)

add_subdirectory(src)
add_subdirectory(include)

set(libTarget ampache_browser)
set(libName ${libTarget}_${PROJECT_VERSION_MAJOR})

add_library(${libTarget} SHARED ${sources} ${headersWithMo})

set_target_properties(${libTarget} PROPERTIES
    OUTPUT_NAME ${libName}
    VERSION ${soVersion}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}
    SOVERSION ${soVersion}
    AUTOMOC ON)

target_include_directories(${libTarget}
    PRIVATE include/internal
    PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include/public> $<INSTALL_INTERFACE:include/${libName}>)

if (${CMAKE_CXX_COMPILER_ID} STREQUAL "GNU")
    target_compile_options(${libTarget} PRIVATE -Wall -Wextra -Wpedantic -Wtype-limits -Woverloaded-virtual
        -Wformat-security)
    target_link_options(${libTarget} PRIVATE "LINKER:--no-undefined")
endif()

target_compile_definitions(${libTarget}
    PRIVATE PACKAGE=\"${PROJECT_NAME}\"
    PRIVATE VERSION=\"${PROJECT_VERSION}$<$<BOOL:${VERSION_EXTRA}>:->${VERSION_EXTRA}\")
if (${USE_NLS})
    if (Intl_FOUND)
        target_compile_definitions(${libTarget} PRIVATE ENABLE_NLS)
    else()
        message(WARNING "Missing libintl. Native language support disabled.")
    endif()
endif()

target_link_libraries(${libTarget} PRIVATE ${Intl_LIBRARIES} Qt${qt_VERSION_MAJOR}::Core Qt${qt_VERSION_MAJOR}::Widgets
    Qt${qt_VERSION_MAJOR}::Concurrent)

set(configFileName ${libName}-config.cmake)
write_basic_package_version_file(${libName}-config-version.cmake COMPATIBILITY SameMajorVersion)
configure_file(${libTarget}-config.cmake.cmakein ${configFileName} COPYONLY)
configure_file(${libTarget}.pc.cmakein ${libName}.pc @ONLY)
generate_export_header(${libTarget} EXPORT_FILE_NAME ${PROJECT_SOURCE_DIR}/include/public/ampache_browser/export.h)

set(exportedLibTargets ${libName}-targets)
install(TARGETS ${libTarget} EXPORT ${exportedLibTargets}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(DIRECTORY include/public/ DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${libName}
    FILES_MATCHING PATTERN "*.h"
    PATTERN CMakeFiles EXCLUDE)
install(FILES ${PROJECT_BINARY_DIR}/${libName}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
install(FILES ${PROJECT_BINARY_DIR}/${configFileName} ${PROJECT_BINARY_DIR}/${libName}-config-version.cmake
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${libName})

install(EXPORT ${exportedLibTargets} DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${libName})

# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.cmakein"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)
add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

=== src/CMakeLists.txt ===

add_subdirectory(ui)

add_subdirectory(domain)

add_subdirectory(application)

add_subdirectory(infrastructure)

add_subdirectory(data)

=== include/internal/CMakeLists.txt ===
add_subdirectory(ui)

add_subdirectory(domain)

add_subdirectory(application)

add_subdirectory(infrastructure)

add_subdirectory(data)

=== include/internal/data/CMakeLists.txt ===

add_subdirectory(providers)

add_subdirectory(filters)

add_subdirectory(repositories)

=== include/internal/infrastructure/CMakeLists.txt ===

add_subdirectory(event)

add_subdirectory(logging)

## ampache 3.5.4

=== debian/changelog ===
ampache (3.5.4-9) unstable; urgency=low

  * Actually added updated cs.po. Thx Miroslav Kure for the mail.
  * Added vi.po.  Thx Clytie Siddall.  Closes: #599153

 -- Charlie Smotherman <cjsmo@cableone.net>  Tue, 26 Oct 2010 20:19:24 -0500

ampache (3.5.4-8) unstable; urgency=low

  * Made requested changes from the Release Team (Adam) to ampache.config
    postinst, and postrm to fix symlink creation.  Closes: #593759
  * Made the requested spacing changes from the Release Team (Adam) in the
    postrm.
  * Added updated it.po. Thx  Luca Monducci Closes: #593959
  * Added updated ta.po. Thx Dr.T.Vasudevan
  * Added updated cs.po. Thx Miroslav Kure Closes: #595512
  * Added zh_TW.po.  Thx Kan-Ru Chen
  * Added da.po.  Thx Joe Dalton Closes: #595197

 -- Charlie Smotherman <cjsmo@cableone.net>  Tue, 21 Sep 2010 21:34:54 -0500

ampache (3.5.4-7) unstable; urgency=high

  * Adjusted symlink creation in debian/postinst so it now works.
    Closes: #593181
  * Upstream neglected to comment out the "require once" for
    /modules/pearxmlrpc/rpc.php which causes the inital login after the 
    completion of the web installer to fail due to php not being able to find
    /modules/pearxmlrpc/rpc.php.  Closes: #593182

 -- Charlie Smotherman <cjsmo@cableone.net>  Sun, 17 Aug 2010 06:51:29 -0500

ampache (3.5.4-6) unstable; urgency=high

  * Setting urgency to high as this fixes an RC bug.
  * Upstream has decided to remove pearxmlrpc and make the package
    depend on php5-xmlrpc. Closes: #591984
  * debian/control
    - added php5-xmlrpc to Depends field.
  * debian/rules
    - added -X option to remove /modules/pearxmlrpc

 -- Charlie Smotherman <cjsmo@cableone.net>  Thu, 12 Aug 2010 09:59:36 -0500

ampache (3.5.4-5) unstable; urgency=medium

  * Setting urgency to medium as this fixes an RC bug.
  * debian/rules
    - After discussing with upstream it was decided to remove 
      xspf_jukebox.fla and xspf_jukebox.swf. Added -X option to dh_install to
      remove xspf_jukebox.fla and xspf_jukebox.swf. Closes: #591202
  * debian/README.Debian
    - Added a note regarding the current state of the xspf_jukebox 
      flash player.
  * Added updated ja.po, thx Hideki Yamane Closes: #591074
  * debian/control
    - Bumped Standards Version to 3.9.1, no changes needed.

 -- Charlie Smotherman <cjsmo@cableone.net>  Sun, 01 Aug 2010 23:11:36 -0500

ampache (3.5.4-4) unstable; urgency=low

  * Updated README.Debian to account for changes in mysql and phpmyadmin.
    Closes: #589078
  * Force removal of /etc/cron.daily/ampache on remove and purge.
    Closes: #586647
  * Added new ru.po. Thx Yuri Kozlov Closes: #585694
  * Corrected formatting of previous log entry.
  * Bumped Standards Version to 3.9.0 no changes needed.

 -- Charlie Smotherman <cjsmo@cableone.net>  Thu, 15 Jul 2010 06:42:51 -0500

ampache (3.5.4-3) unstable; urgency=low

  * Added new sv.po. Thx Martin Bagge. Closes: #582701
  * Added new es.po. Thx Francisco Javier Cuadrado. Closes: #581870
  * Added new fr.po. Thx Filippo Rusconi.  Closes: #581654
  * Added new de.po. Thx Helge Kreutzmann. Closes: #580737
  * Added new pt.po. Thx Américo Monteiro. Closes: #580440
  * Removed superfluous spaces in ampache.templates.  Closes: #580738
  * Added ampache.cron.daily this will run add and clean on all available
    catalogs once a day (usually early mourning).
  * debian/postinst made use of variable for /usr/sbin/lighty-enable-mod to
    satisfy lintian.
  * debian/postinst added remove statement to remove lighty_ampache.conf if
    apache2 is installed and vic versa.
  * debian/postrm made use of variable for /usr/sbin/lighty-disable-mod to
    satisfy lintian.
  * debian/postrm added rm statement to remove ampache.cron.daily on purge.
  * Removed find rule from debian/rules, lintian was complaining of
    unrepresentable changes to the source.
  * debian/links added symlink creation for ampache.cron.daily to /etc/ampache.

 -- Charlie Smotherman <cjsmo@cableone.net>  Sun, 06 June 2010 22:22:31 -0500

ampache (3.5.4-2) unstable; urgency=low

   * Added support for lighttpd servers.  What this means is that the default
   behavior is for apache2 to be installed on new installs.  However if
   lighttpd is installed and configured correctly the maintainer scripts 
   should pickup on this and install ampache into the proper locations, 
   create the need sym links, and enable the needed lighttpd modules.
   Closes: #549009
   * Made package depend on nusoap. Closes: #579829
   * debian/control:
     - Recommends, package should recommend the mysql-server meta-package so 
     the default mysql-server is installed.  This will eleminate the need for 
     additional uploads to increase mysql-server version number.
     - added additional depends for lighttpd support.
     - moved apache2 | lighttpd to the Recommends field.
     - added dependency on libnusoap-php
   * debian/ampache.postrm: 
     - added purge statement to webserver restart so webserver reloads on 
     remove and purge.
     - added conditional removal statements to ampache.postrm so all user
     modified config files are removed on purge.
     - added lighttpd support
   * debian/ampache.postinst:
     - correted incorrect ampache.conf symlink creation. (LP: #533989)
     - added lighttpd support
   * debian/ampache.preinst:
     - added ampache.preinst to correct sym link naming mismatch on upgrades.
     (LP: #558697)
     - added ampache.cfg.php backup to ampache.preinst, this way we make a 
     backup copy of ampache.cfg.php before upgrade begins. 
   * debian/postinst:
     - removed ampache.cfg.php backup and migration, this was only need until 
     Ubuntu Hardy reached EOL.
     - added lighttpd support.
   * debian/ampache.templates:
     - added webserver types question for lighttpd support.
     - combined webserver configuration and webserver restart into one
     question (webserver_restart).
     - reworded webserver_restart to be more generic in scope.


=== debian/control ===
Source: ampache
Section: web
Priority: optional
Maintainer: Charlie Smotherman <cjsmo@cableone.net>
Vcs-Svn: https://svn.ampache.org/trunk
Vcs-Browser: https://svn.ampache.org
Homepage: http://www.ampache.org
Build-Depends: debhelper (>= 7.0.50), po-debconf
Standards-Version: 3.9.1

Package: ampache
Architecture: all
Depends: debconf (>= 0.5) | debconf-2.0, libapache2-mod-php5 | php5-cgi | php5,
 php5-mysql, php5-cli, php5-auth-pam, php5-xmlrpc, libphp-snoopy,
 libjs-prototype, ttf-freefont, libnusoap-php, ${misc:Depends}
Conflicts: ampache-themes-3.3.3.5a-1
Recommends: apache2-mpm-prefork | lighttpd, eyed3, ampache-themes
Suggests: php5-gd, phpmyadmin, mysql-server
Description: web-based audio file management system
 Ampache is a web-based audio file manager implemented with PHP and
 MySQL which allows viewing, editing, and playing audio files via the
 web. It has support for playlists, artist and album views, album art,
 random or vote-based play and per-user play-tracking/theming.
 Playback may be via HTTP, on-the-fly transcoding and downsampling,
 Mpd/Icecast, or integrated Flash player. Multiple Ampache servers can
 be linked together using XML-RPC. The software is fully localized in many
 languages.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install -XGPL-LICENSE -XINSTALL -XCOPYING -Xlicense -XLICENSE \
	-Xreadme.windows.txt -Xprototype -XSnoopy -XFreeMono-Medium \
	-Xgather-messages.sh -Xnusoap -Xxspf_jukebox.fla -Xxspf_jukebox.swf \
	-Xpearxmlrpc

=== debian/watch ===
version=3
opts=filenamemangle=s/.*-(.*)/$1/ \
http://ampache.org/downloads/ampache-(3.*)\.tar\.gz

## ampache 3.6~alpha1

=== debian/changelog ===
ampache (3.6~alpha1-0ubuntu6) precise; urgency=low

  * Added missing variable in debian/ampache.postinst.

 -- Charlie Smotherman <cjsmo@cableone.net>  Mon, 16 Jan 2012 16:59:54 -0500

ampache (3.6~alpha1-0ubuntu5) precise; urgency=low

  * Use conditional statements to create the "$sa", "$se", "$ea", "$confd"
    variables in ampache.postinst.  These vars are only needed if Apache2 is
    installed and no attempt should be made to create them when using lighttpd.
  * Added additional check in mythbuntu_apache_install to check for the
    presents of the needed symlink so mythbuntu upgrades do not fail. Thx Bill
    Walker for the bug report. (LP: #874142 #880654)
  * Removed install statement from debian/ampache.install so a duplicate copy
    of the upstream changelog is not installed as reported by lintian.
  * Reordered debian/control Depends and Suggests fields.

 -- Charlie Smotherman <cjsmo@cableone.net>  Wed, 09 Nov 2011 21:38:54 -0500

ampache (3.6~alpha1-0ubuntu4) oneiric; urgency=low

  * debian/control
    - added apache2-mpm-itk as an alternative recommends dependency.
      (LP: #826443)
  * debian/README.Debian
    - updated with a blob about apache2-mpm-itk.
    - updated bzr and git repo references.

 -- Charlie Smotherman <cjsmo@cableone.net>  Thu, 21 Aug 2011 07:13:14 -0500

ampache (3.6~alpha1-0ubuntu3) oneiric; urgency=low

  * added /debian/scripts directory, and moved grab_xspf.sh into it.
  * debian/ampache.conf
    - removed unused variables
    - removed debconf db versioning, not need.
  * debian/ampache.install
    - reorganized for easier readability.
  * debian/ampache.postinst
    - added additional checks and logic to verify if ampache.conf,
      ApacheAmpache, ampvhadd, or 000-default are being used to provide the
      Ampache alias, and installs Ampache accordingly. Default is to use
      ApacheAmpache.
    - added additional comments.
    - removed debconf db versioning, not needed.
  * debian/ampache.preinst
    - removed ampache.conf removal.
    - removed unused variables.
  * debian/control
    - corrected typo
  * debian/copyright
    - corrected the word File to be Files per DEP5 spec.
    - corrected spacing in copyright notices per DEP5 spec.
    - removed PHP License, upstream has removed php-pear/xml-rpc.
  * debian/links
    - reorganized into groups for easier readability.
  * debian/rules
    - added removeal of libphp-snoopy to get-orig-source

 -- Charlie Smotherman <cjsmo@cableone.net>  Thu, 04 Aug 2011 13:15:14 -0500

ampache (3.6~alpha1-0ubuntu2) oneiric; urgency=low

  * updated debian/ampache.install to install favicon.ico.

 -- Charlie Smotherman <cjsmo@cableone.net>  Wed, 22 June 2011 11:01:54 -0500

ampache (3.6~alpha1-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * Removed xspf_notification.patch included upstream.
  * Updated logratate_fix for new upstream code.
  * Added postrotate rule to ampache.logrotate to correct ownership of 
    var/log/ampache after the logs are rotated. (LP: # #722274)
  * debian/rules
    - added get-orig-source.
    - removed exclude rules from debian/rules.
  * debian/links
    - added link to link /usr/share/logrotate.d/ampache to /etc/ampache so
      usr/sysadmin can easily customize the rotation to their needs.
    - reorganized so it is not so confusing.
  * debian/dirs
    - rmoved /usr/share/ampache/www/modules/pearxmlrpc no longer needed.
    - added /var/log/ampache/old to contain the old rotated logs.
  * debian/control
    - update Standards Version to 3.9.2 no changes needed.
    - added phpmailer to depends.
    - reorganized depends field.
  * Reorganized ampache.install. 
  

 -- Charlie Smotherman <cjsmo@cableone.net>  Wed, 1 June 2011 12:05:54 -0500

ampache (3.5.4-11) unstable; urgency=low

  * Made package check the md5sum of /etc/apache2/sites-available/default for
    any local changes.  If changes have been made a copy is made and the
    ampache alias is added to the newly created virtualhost.  If no changes
    are detected, the ApacheAmpache virtualhost is used instead.  This should
    capture any changes made by the local usr/sysadmin.  Closes: #612703

 -- Charlie Smotherman <cjsmo@cableone.net>  Wed, 16 Feb 2011 09:55:24 -0500

ampache (3.5.4-10) unstable; urgency=low

  * Made package use a VirtualHost instead of adding alias symlink to 
    /etc/apache2/conf.d
  * Added /conf/ApacheAmpache.
  * Updated postinst and postrm to use a2ensite and a2dissite.
  * Updated ampache.install to install ApacheAmpache into 
    /etc/apache2/sites-available.
  * Removed "for" loop in debian/ampache.postinst debian/ampache.postrm.
    Thx pitti
  * Recreated /usr/share/ampache/www/modules/pearxmlrpc dir in debian/dir.
  * Made package depend on the correct php-xml-rpc package in debian/control.
    Moved eyed3 to the Suggests field, along with adding lame, faad, 
    mp3-splt, vorbis-tools to the Suggest field. LP: #681932 
  * Created the needed symlinks to php-xml-rpc in debian/links.
  * Corrected spacing in debian/ampache.preinst, added webserver reload,
    added comments.
  * Corrected spacing in ampache.postinst, changed from using webserver
    restart to using webserver reload, added comments.
  * Removed init_php_fix patch as it is no longer needed, refreshed patches.
  * Added discription headers to patch files.
  * debian/patches/xspf_notification.patch: If the user attempts to use the
    xspfflash player, the user will be pointed to 
    /usr/share/doc/ampache/README.Debian for details and a work around.
  * Included /config/mythbuntu_ampache.conf so webserver is configured
    correctly with Mythbuntu.
  * Reworked ampache.install, ampache.postinst and ampache.postrm for use on
    mythbuntu.
  * Reworked ampache.postinst and ampache.postrm so if the user chooses not to
    restart the webserver ampache will exit gracefully.
  * Setup dirs and permissions for logging in ampache.postinst and


=== debian/control ===
Source: ampache
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Charlie Smotherman <cjsmo@cableone.net>
Vcs-Git: git://gitorious.org/ampache/ampache.git
Vcs-Browser: http://gitorious.org/ampache/ampache/trees/master
Homepage: http://www.ampache.org
Build-Depends: debhelper (>= 7.0.50), po-debconf
Standards-Version: 3.9.2

Package: ampache
Architecture: all
Depends: ${misc:Depends},
 debconf (>= 0.5) | debconf-2.0,
 libapache2-mod-php5 | php5-cgi | php5,
 php5-auth-pam,
 php5-cli,
 php5-mysql,
 php5-xmlrpc,
 libjs-prototype,
 libnusoap-php,
 libphp-phpmailer,
 libphp-snoopy,
 ttf-freefont
Conflicts: ampache-themes-3.3.3.5a-1
Recommends: apache2-mpm-prefork | apache2-mpm-itk | lighttpd, ampache-themes
Suggests: php5-gd, phpmyadmin, mysql-server, eyed3, faad, vorbis-tools
Description: web-based audio file management system
 Ampache is a web-based audio file manager implemented with PHP and
 MySQL which allows viewing, editing, and playing audio files via the
 web. It has support for playlists, artist and album views, album art,
 random or vote-based play and per-user play-tracking/theming.
 Playback may be via HTTP, on-the-fly transcoding and downsampling,
 Mpd/Icecast, or integrated Flash player. Multiple Ampache servers can
 be linked together using XML-RPC. The software is fully localized in many
 languages.

=== debian/rules ===
#!/usr/bin/make -f

DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

DESTDIR=$(CURDIR)/debian/ampache
US=$(DESTDIR)/usr/share
AMP=$(DESTDIR)/usr/share/ampache/www

%:
	dh $@

get-orig-source:
	uscan --noconf --force-download --download-current-version --no-symlink --destdir=.
	echo "deb upstream version is $(DEB_UPSTREAM_VERSION)"
	tar -xvf a*.tar.gz
	rm a*tar.gz
	rm ampache-$(DEB_UPSTREAM_VERSION)-alpha1/docs/INSTALL
	rm ampache-$(DEB_UPSTREAM_VERSION)-alpha1/locale/base/gather-messages.sh
	rm ampache-$(DEB_UPSTREAM_VERSION)-alpha1/modules/captcha/FreeMono-Medium.ttf
	rm ampache-$(DEB_UPSTREAM_VERSION)-alpha1/modules/flash/LICENSE
	rm ampache-$(DEB_UPSTREAM_VERSION)-alpha1/modules/flash/xspf_jukebox.swf
	rm ampache-$(DEB_UPSTREAM_VERSION)-alpha1/modules/flash/xspf_jukebox.fla
	rm ampache-$(DEB_UPSTREAM_VERSION)-alpha1/modules/getid3/docs/readme.windows.txt
	rm ampache-$(DEB_UPSTREAM_VERSION)-alpha1/modules/nusoap/nusoap.php
	rm ampache-$(DEB_UPSTREAM_VERSION)-alpha1/modules/nusoap/nusoapmime.php
	rm ampache-$(DEB_UPSTREAM_VERSION)-alpha1/modules/php_musicbrainz/COPYING
	rm ampache-$(DEB_UPSTREAM_VERSION)-alpha1/modules/phpmailer/LICENSE
	rm ampache-$(DEB_UPSTREAM_VERSION)-alpha1/modules/phpmailer/class.phpmailer.php
	rm ampache-$(DEB_UPSTREAM_VERSION)-alpha1/modules/phpmailer/class.smtp.php
	rm ampache-$(DEB_UPSTREAM_VERSION)-alpha1/modules/twitter/LICENSE
	rm ampache-$(DEB_UPSTREAM_VERSION)-alpha1/modules/prototype/prototype.js
	rm ampache-$(DEB_UPSTREAM_VERSION)-alpha1/modules/infotools/Snoopy.class.php
	find ampache-$(DEB_UPSTREAM_VERSION)-alpha1 -type d -exec chmod 755 {} \;
	find ampache-$(DEB_UPSTREAM_VERSION)-alpha1 -type f -exec chmod 644 {} \;
	find ampache-$(DEB_UPSTREAM_VERSION)-alpha1 -name ".gitignore" -exec rm {} \;
	GZIP=--best tar -cz --owner root --group root --mode a+rX -f \
		ampache_$(DEB_UPSTREAM_VERSION)-alpha1.orig.tar.gz \
		ampache-$(DEB_UPSTREAM_VERSION)-alpha1
	rm -r ampache-$(DEB_UPSTREAM_VERSION)-alpha1

## ampache 3.6-alpha1+dfsg

=== debian/changelog ===
ampache (3.6-alpha1+dfsg-3) unstable; urgency=low

  * Removed dependency on php5-auth-pam as it is being removed from the archive
    due to non maintenance, refer to bug 663694 for more information.
    Closes: #663005
  * Added new nl.po translation file.  Update po files with debconf-updatepo.  
    Thx Jeroen Schot Closes: #658515
  * Updated debian/copyright with new nl.po copyright info.
  * Remove Vcs fields as the urls point to ampache trunk and not to packaging
    branches.
  * Corrected syntax error in debian/ampache.templates.
  * Increased Standards Version to 3.9.3 no changes needed.

 -- Charlie Smotherman <cjsmo@cableone.net>  Tue, 13 Sep 2012 23:19:11 -0500

ampache (3.6-alpha1+dfsg-2) unstable; urgency=low

  * Use conditional statements to create the "$sa", "$se", "$ea", "$confd"
    variables in ampache.postinst.  These vars are only needed if Apache2 is
    installed and no attempt should be made to create them when using lighttpd.
    Thx Matt Wheeler for the bug report. Closes: #640530
  * Added additional check in mythbuntu_apache_install to check for the
    presents of the needed symlink so mythbuntu upgrades do not fail. Thx Bill
    Walker for the bug report. (LP: #874142 #880654)
  * Corrected line lengths in changelog to correct lintian warning.
  * Added exclude statements to dh_install to not install extra license files,
    as reported by lintian.
  * Removed install statement from debian/ampache.install so a duplicate copy
    of the upstream changelog is not installed as reported by lintian.
  * Reformatted Variables print statement in debian/ampache.postinst. 

 -- Charlie Smotherman <cjsmo@cableone.net>  Sat, 17 Sep 2011 22:27:14 -0500

ampache (3.6-alpha1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Upstream has removed php-pear/xmp-rpc and has changed the source code to
    use the internal xml-rpc capabilities of php.  Closes: #631130
  * Upstream has changed the source code so ampache now provides more relevent
    information in the log files.  This includes removing/correcting depeciated
    php functions.  Closes: #636438, #624221, #611785
  * Added postrotate rule to ampache.logrotate to correct ownership of 
    var/log/ampache after the logs are rotated. (LP: #722274)
  * added /debian/scripts directory, and moved grab_xspf.sh into it.
  * debian/po
    - added updated da.po translations file.  Thx Joe Dalton for the bug
      report. Closes: #595197
    - added updated nl.po translations file.  Thx Jeroen Schot for the bug
      report. Closes: #637503
  * debian/dirs
    - removed /usr/share/ampache/www/modules/pearxmlrpc no longer needed.
    - added /var/log/ampache/old to contain the old rotated logs.
  * debian/ampache.conf
    - removed unused variables
    - removed debconf db versioning, not need.
  * debian/ampache.install
    - reorganized for easier readability.
    - updated debian/ampache.install to install favicon.ico.
  * debian/ampache.postinst
    - added additional checks and logic to verify if ampache.conf,
      ApacheAmpache, ampvhadd, or 000-default are being used to provide the
      Ampache alias, and installs Ampache accordingly. Default is to use
      ApacheAmpache.
    - added additional comments.
    - removed debconf db versioning, not needed.
  * debian/ampache.preinst
    - removed ampache.conf removal.
    - removed unused variables.
  * debian/control
    - update Standards Version to 3.9.2 no changes needed.
    - added php5-xmlrpc and libphp-phpmailer to depends.
    - added apache2-mpm-itk as alternate recommends. (LP: #826443)
    - reorganized depends field.
    - removed lame and mp3-splt from suggests so ampaches dependencies can be
      satisfied on kfreebsd-amd64, mips, s390, alpha, hppa, kfreebsd-i386,
      powerpc, ia64, mipsel, sparc, amd64, armel, i386.
  * debian/copyright
    - corrected the word File to be Files per DEP5 spec.
    - corrected spacing in copyright notices per DEP5 spec.
    - removed PHP License, upstream has removed php-pear/xml-rpc.
  * debian/links
    - reorganized into groups for easier readability.
    - added link to link /usr/share/logrotate.d/ampache to /etc/ampache so
      usr/sysadmin can easily customize the rotation to their needs.
  * debian/rules
    - added get-orig-source.  This repacks the .orig.tar.gz to remove unwanted
      *.swf files along with convienent copies of code that will be excluded 
      during package build anyway.
    - removed dh_install excludes from debian/rules.
  * debian/patches
    - Removed xspf_notification.patch it has been included upstream.
    - Updated logratate_fix patch for new upstream code.
  * debian/README.Debian
    - added blob about apache2-mpm-itk.
    - updated the bzr and git repo references.

 -- Charlie Smotherman <cjsmo@cableone.net>  Sun, 14 Aug 2011 22:23:54 -0500

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,16 @@
 Source: ampache
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Charlie Smotherman <cjsmo@cableone.net>
-Vcs-Git: git://gitorious.org/ampache/ampache.git
-Vcs-Browser: http://gitorious.org/ampache/ampache/trees/master
+Maintainer: Charlie Smotherman <cjsmo@cableone.net>
 Homepage: http://www.ampache.org
 Build-Depends: debhelper (>= 7.0.50), po-debconf
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: ampache
 Architecture: all
 Depends: ${misc:Depends},
  debconf (>= 0.5) | debconf-2.0,
  libapache2-mod-php5 | php5-cgi | php5,
- php5-auth-pam,
  php5-cli,
  php5-mysql,
  php5-xmlrpc,

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,12 @@
 %:
 	dh $@
 
+override_dh_install:
+	dh_install -Xlicense.commercial.txt -Xlicense.txt
+
 get-orig-source:
-	uscan --noconf --force-download --download-current-version --no-symlink --destdir=.
+	echo "deb upstream version is $(DEB_UPSTREAM_VERSION)"
+	uscan --noconf --force-download --upstream-version 3.6-alpha1 --no-symlink --destdir=.
 	echo "deb upstream version is $(DEB_UPSTREAM_VERSION)"
 	tar -xvf a*.tar.gz
 	rm a*tar.gz
@@ -34,7 +38,7 @@
 	find ampache-$(DEB_UPSTREAM_VERSION)-alpha1 -type f -exec chmod 644 {} \;
 	find ampache-$(DEB_UPSTREAM_VERSION)-alpha1 -name ".gitignore" -exec rm {} \;
 	GZIP=--best tar -cz --owner root --group root --mode a+rX -f \
-		ampache_$(DEB_UPSTREAM_VERSION)-alpha1.orig.tar.gz \
+		ampache_$(DEB_UPSTREAM_VERSION)-alpha1+dfsg.orig.tar.gz \
 		ampache-$(DEB_UPSTREAM_VERSION)-alpha1
 	rm -r ampache-$(DEB_UPSTREAM_VERSION)-alpha1

=== debian/watch ===
version=3
opts=dversionmangle=s/\.*dfsg\.\d+$//,filenamemangle=s/.*-(.*)/$1/ \
http://ampache.org/downloads/ampache-(3.*)\.tar\.gz

## ampache 3.6-git408e713+dfsg

=== debian/changelog ===
ampache (3.6-git408e713+dfsg-4~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Charlie Smotherman <cjsmo@cableone.net>  Sun, 25 Aug 2013 12:12:08 +0200

ampache (3.6-git408e713+dfsg-4) unstable; urgency=low

  * Acknowledge non-maintainer upload and included changes.
  * Removed debian/ampache.logrotate and debian/ampache.cron.daily.
  * Added ampache.maintscript to gracefully remove /etc/logrotate.d/ampache
    and /etc/cron.daily/ampache as these are now obsolete conffiles.
    Closes: #691433
  * Removed log file creation from ampache.postinst.
  * Removed sym link creation from ampache.links.
  * Pre-Depends on dpkg so dpkg-maintscript-helper can be used.
  * Create /etc/ampache in ampache.dirs dh_links was doing this for use.
  * Increased debhelper to >=8.1.0 to use dpkg-maintscript-helper.
  * Increased debian/compat to 8.

 -- Charlie Smotherman <cjsmo@cableone.net>  Thu, 12 July 2013 20:24:28 -0500

ampache (3.6-git408e713+dfsg-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove generated link in prerm.  Closes: #688436

 -- Bas Wijnen <wijnen@debian.org>  Sun, 14 Oct 2012 16:31:58 +0200

ampache (3.6-git408e713+dfsg-3) unstable; urgency=low

  * Remove statements in debian/ampache.postrm that manually remove conffiles,
    log files on remove and purge.  Closes: #688436

 -- Charlie Smotherman <cjsmo@cableone.net>  Sat, 22 Sep 2012 14:24:41 -0500

ampache (3.6-git408e713+dfsg-2) unstable; urgency=low

  * Added functions to ampache.postrm so it is formated similar to 
    ampache.posinst.
  * Moved "service apache2 reload" into a conditional if statement in
    debian/ampache.postinst and debian/ampache.postrm, which runs if
    /var/run/apache2.pid is present.  Closes: #676451

 -- Charlie Smotherman <cjsmo@cableone.net>  Thu, 07 Jun 2012 00:48:12 -0500

ampache (3.6-git408e713+dfsg-1) unstable; urgency=low

  * New upstream git snapshot, using commit 
    408e71344ade84685c181cd326e2ec5e79c9157b Closes: #668932, #668936
  * Prep for apache2.4 transition.
  * Removed files ApacheAmpache, lighttpd_ampache.conf, mythbuntu.ampache.conf
    and vhost, they are no longer needed.
  * Added debain/conf/ampache.conf to be more inline with the apache2.4
    transition.  This required a rewrite of the postinst, postrm, and preinst.
    Closes: #668639, #656553 LP: #996507
  * Split package into ampache and ampache-common.  Ampache behaves the same 
    and installs the apache2 web server, as where ampache-common will not.
    This will allow users to deploy ampache on other web servers if they wish.
    Removed support for lighttpd and mythbuntu as I do not feel comfortable
    supporting web servers I no longer use.  Closes: #666005
  * Removed debconf question from ampache.config and ampache.templates,
    updated po files with debconf-updatepo.
  * Updated README.Debian to mention the package split.
  * Removed cruft from debian/rules and updated get-orig-source to retrieve
    source files from upstreams git repo.  Added additional rules to remove
    embedded copies of code and nonfree fonts.  Disabled debian/watch.
  * debian/control added ampache-common binary stanza and adjusted
    dependencies to remove mythbuntu and lighttpd support.  Added php-gettext
    to dependencies as upstream now uses it.
  * Update debian/copyright with the fresh theme copyright info, udated 
    header information. Added missing CC-BY-3.0 license field.  Corrected
    typo's. 

 -- Charlie Smotherman <cjsmo@cableone.net>  Thu, 31 May 2012 15:25:52 -0500

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,27 @@
 Priority: optional
 Maintainer: Charlie Smotherman <cjsmo@cableone.net>
 Homepage: http://www.ampache.org
-Build-Depends: debhelper (>= 7.0.50), po-debconf
+Build-Depends: debhelper (>= 8.1.0), po-debconf
 Standards-Version: 3.9.3
 
 Package: ampache
 Architecture: all
+Pre-Depends: dpkg (>= 1.15.7.2)
 Depends: ${misc:Depends},
  debconf (>= 0.5) | debconf-2.0,
- libapache2-mod-php5 | php5-cgi | php5,
+ libapache2-mod-php5 | php5,
+ ampache-common (>= 3.6-git408e713+dfsg-1),
  php5-cli,
  php5-mysql,
  php5-xmlrpc,
+ php-gettext,
  libjs-prototype,
  libnusoap-php,
  libphp-phpmailer,
  libphp-snoopy,
  ttf-freefont
 Conflicts: ampache-themes-3.3.3.5a-1
-Recommends: apache2-mpm-prefork | apache2-mpm-itk | lighttpd, ampache-themes
+Recommends: apache2-mpm-prefork | apache2-mpm-itk, ampache-themes (>= 3.6.1-2)
 Suggests: php5-gd, phpmyadmin, mysql-server, eyed3, faad, vorbis-tools
 Description: web-based audio file management system
  Ampache is a web-based audio file manager implemented with PHP and
@@ -31,3 +34,23 @@
  Mpd/Icecast, or integrated Flash player. Multiple Ampache servers can
  be linked together using XML-RPC. The software is fully localized in many
  languages.
+
+Package: ampache-common
+Architecture: all
+Depends: ${misc:Depends}
+Replaces: ampache (<< 3.6-git408e713+dfsg-1)
+Breaks: ampache (<< 3.6-git408e713+dfsg-1)
+Suggests: ampache, php5-gd, phpmyadmin, mysql-server, eyed3, faad, vorbis-tools
+Description: web-based audio file management system common files
+ This package provides common files for Ampache. This package is server
+ independent and is intended for users who whish to use other web servers, 
+ virtual enviroments, or LXC's to deploy Ampache.
+ .  
+ Ampache is a web-based audio file manager implemented with PHP and
+ MySQL which allows viewing, editing, and playing audio files via the
+ web. It has support for playlists, artist and album views, album art,
+ random or vote-based play and per-user play-tracking/theming.
+ Playback may be via HTTP, on-the-fly transcoding and downsampling,
+ Mpd/Icecast, or integrated Flash player. Multiple Ampache servers can
+ be linked together using XML-RPC. The software is fully localized in many
+ languages.

=== debian/rules ===
#!/usr/bin/make -f

DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

%:
	dh $@

get-orig-source:
	git clone git://gitorious.org/ampache/ampache.git
	cd ampache; git checkout 408e71344ade84685c181cd326e2ec5e79c9157b; cd ../;
	mv ampache ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg
	rm ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg/docs/INSTALL
	rm ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg/locale/base/gather-messages.sh
	rm ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg/modules/flash/LICENSE
	rm ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg/modules/flash/xspf_jukebox.swf
	rm ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg/modules/flash/xspf_jukebox.fla
	rm ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg/modules/getid3/docs/license.txt
	rm ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg/modules/getid3/docs/license.commercial.txt
	rm ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg/modules/php-gettext/COPYING
	rm ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg/modules/php-gettext/streams.php
	rm ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg/modules/nusoap/nusoap.php
	rm ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg/modules/nusoap/nusoapmime.php
	rm ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg/modules/nusoap/class.wsdlcache.php
	rm ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg/modules/php_musicbrainz/COPYING
	rm ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg/modules/phpmailer/LICENSE
	rm ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg/modules/phpmailer/class.phpmailer.php
	rm ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg/modules/phpmailer/class.smtp.php
	rm ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg/modules/twitter/LICENSE
	rm ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg/modules/prototype/prototype.js
	rm ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg/modules/infotools/Snoopy.class.php
	rm ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg/modules/captcha/MyUnderwood.ttf
	rm ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg/modules/captcha/MyUnderwood.txt
	rm ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg/config/.gitignore
	rm ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg/.gitignore
	rm -rf ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg/.git
	rm -rf ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg/themes/fresh
	find ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg -type d -exec chmod 755 {} \;
	find ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg -type f -exec chmod 644 {} \;
	GZIP=--best tar -cz --owner root --group root --mode a+rX -f \
		ampache_$(DEB_UPSTREAM_VERSION)-git408e713+dfsg.orig.tar.gz \
		ampache-$(DEB_UPSTREAM_VERSION)-git408e713+dfsg

## ampache 3.6-rzb2515+dfsg

=== debian/changelog ===
ampache (3.6-rzb2515+dfsg-0ubuntu1) raring; urgency=low

  * New upstream release.  Upstream has this revision tagged 3.6-alpha4.

 -- Charlie Smotherman <cjsmo@cableone.net>  Sun, 09 Dec 2012 16:14:24 -0500

ampache (3.6-rzb2497+dfsg-0ubuntu2) raring; urgency=low

  * Updated to use new de.po translation file. Thx David Prévot.

 -- Charlie Smotherman <cjsmo@cableone.net>  Sat, 01 Dec 2012 02:30:42 -0500

ampache (3.6-rzb2497+dfsg-0ubuntu1) raring; urgency=low

  * Actually fix debian #688436.  This will be pushed to debian as part of the
    apache2.4 transition post release.
  * Use bzr to get upstream source.
  * Update debian/rules get-orig-source to use bzr and lp.
  * Use rev 2497 which upstream has tagged as 3.6-alpha3.
  * Removed debian/logrotate.
  * Removed debian/ampache.cron.daily. (LP: #1068894)
  * Removed debian/ampache.dirs, not needed.
  * debian/control
    - fix typo in Discription.
    - add Replaces, Breaks to ampache binary stanza.
  * Added remove statement to remove ampache.cron.daily and ampache.logrotate
    in ampache.postrm.
  * Added remove statement to remove ampache.cron.daily and ampache.logrotate
    in ampache.preinst.
  * Removed 01_logrotate.patch not needed.
  * Removed amapche.cron.daily and ampache.logrotate sym link creation from
    debian/ampache.links

 -- Charlie Smotherman <cjsmo@cableone.net>  Mon, 12 Nov 2012 22:58:58 -0500

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: ampache
 Section: web
 Priority: optional
-Maintainer: Charlie Smotherman <cjsmo@cableone.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Charlie Smotherman <cjsmo@cableone.net>
 Homepage: http://www.ampache.org
-Build-Depends: debhelper (>= 8.1.0), po-debconf
+Build-Depends: debhelper (>= 7.0.50), po-debconf
 Standards-Version: 3.9.3
 
 Package: ampache
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.7.2)
 Depends: ${misc:Depends},
  debconf (>= 0.5) | debconf-2.0,
  libapache2-mod-php5 | php5,
- ampache-common (>= 3.6-git408e713+dfsg-1),
+ ampache-common (>= 3.6-rzb2497+dfsg-0ubuntu1),
  php5-cli,
  php5-mysql,
  php5-xmlrpc,
@@ -22,7 +22,8 @@
  libphp-phpmailer,
  libphp-snoopy,
  ttf-freefont
-Conflicts: ampache-themes-3.3.3.5a-1
+Replaces: ampache (<< 3.6-git408e713+dfsg-1)
+Breaks: ampache (<< 3.6-git408e713+dfsg-1)
 Recommends: apache2-mpm-prefork | apache2-mpm-itk, ampache-themes (>= 3.6.1-2)
 Suggests: php5-gd, phpmyadmin, mysql-server, eyed3, faad, vorbis-tools
 Description: web-based audio file management system
@@ -43,7 +44,7 @@
 Suggests: ampache, php5-gd, phpmyadmin, mysql-server, eyed3, faad, vorbis-tools
 Description: web-based audio file management system common files
  This package provides common files for Ampache. This package is server
- independent and is intended for users who whish to use other web servers, 
+ independent and is intended for users who wish to use other web servers, 
  virtual enviroments, or LXC's to deploy Ampache.
  .  
  Ampache is a web-based audio file manager implemented with PHP and

=== debian/rules ===
#!/usr/bin/make -f

DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

%:
	dh $@

get-orig-source:
	bzr branch -r 2515 lp:ampache
	cd ampache; 
	mv ampache ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/docs/INSTALL
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/locale/base/gather-messages.sh
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/flash/LICENSE
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/flash/xspf_jukebox.swf
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/flash/xspf_jukebox.fla
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/getid3/docs/license.txt
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/getid3/docs/license.commercial.txt
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/php-gettext/COPYING
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/php-gettext/streams.php
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/nusoap/nusoap.php
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/nusoap/nusoapmime.php
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/nusoap/class.wsdlcache.php
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/php_musicbrainz/COPYING
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/phpmailer/LICENSE
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/phpmailer/class.phpmailer.php
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/phpmailer/class.smtp.php
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/twitter/LICENSE
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/prototype/prototype.js
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/infotools/Snoopy.class.php
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/captcha/MyUnderwood.ttf
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/modules/captcha/MyUnderwood.txt
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/config/.gitignore
	rm ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/.gitignore
	rm -rf ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/.bzr
	rm -rf ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg/themes/fresh
	find ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg -type d -exec chmod 755 {} \;
	find ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg -type f -exec chmod 644 {} \;
	GZIP=--best tar -cz --owner root --group root --mode a+rX -f \
		ampache_$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg.orig.tar.gz \
		ampache-$(DEB_UPSTREAM_VERSION)-rzb2515+dfsg
